
<!-- Warning: This file has been autogenerated by tools/makedoc.py. Manual edits will be overwritten. -->
<html>
    <head>
        <title>freesmartphone.org Events Interface</title>
        <link rel="stylesheet" type="text/css" href="http://git.freesmartphone.org/?p=specs.git;a=blob_plain;f=html/style.css;hb=HEAD" />
    </head>
    <body>
    <div class="topbox">freesmartphone.org Framework DBus Interface Specification</div>


<h1>org.freesmartphone.Events</h1><h2>Description</h2>
<p>The Events interface provides access to the rules.  All the rules are specified into the rule file : /etc/freesmartphone/oevents/rules.yaml.  See the file itself for more information about the syntax of the rules.</p>
<h2>Namespace</h2>
<p><tt>org.freesmartphone.Events</tt></p>
<h2>Methods</h2><ul>
<li><a href="#AddRule">AddRule</a></li>
<li><a href="#RemoveRule">RemoveRule</a></li>
<li><a href="#TriggerTest">TriggerTest</a></li>
</ul>
<h2>Signals</h2><i>None</i>
<h2>Properties</h2><i>None</i>
<h2>Errors</h2><i>None</i>
<h1>Methods</h1><h3><a name="AddRule">AddRule</a> ( s )</h3>
<p><i>Description:</i> Parse a rule string and add it into the rule list. </p><h4>Parameters</h4><i>s: rule</i><p>The rule in the same format used by the rules file. </p>
<h3><a name="RemoveRule">RemoveRule</a> ( s )</h3>
<p><i>Description:</i> Remove a rule by name. </p><h4>Parameters</h4><i>s: name</i><p>The name of the rule, as specified by the 'name' attribute of the rule. </p>
<h3><a name="TriggerTest">TriggerTest</a> ( sb )</h3>
<p><i>Description:</i> Trigger or untrigger all the 'Test' triggers with matching names. </p><h4>Parameters</h4><i>s: name</i><p>the name of the Test triggers to trigger/untrigger. </p><i>b: value</i><p>True to trigger, False to untrigger. </p>

    <hr/>
    <small>
    | Specified 2008-2012 by the <a href="http://www.freesmartphone.org">Freesmartphone.org</a> team. | Join us and discuss further drafts smartphones-standards (at) linuxtogo (dot) org
    </small>
    <hr/>
    </body>
</html>

